List product relations
GET
https://api.catenda.com/v2/projects/{project-id}/ifc/products/{object-id}/relations
Path Parameters
- project-idstringrequiredExampleDescription
- object-idinteger<int64>requiredDescriptionFormatint64
Query Parameters
- revisionstring[]Description
Responses
200
- ifc-product-relation
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringExampleDescription
- ifcTypestringExampleDescription
- childrenobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringExampleDescription
- ifcTypestringExampleDescription
- parentobjectDescription
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringExampleDescription
- ifcTypestringExampleDescription
- typeobjectDescription
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringExampleDescription
- ifcTypestringExampleDescription
- systemsobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringDescription
- ifcTypestringExampleDescription
- zonesobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringDescription
- ifcTypestringExampleDescription
- groupsobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringDescription
- ifcTypestringExampleDescription
- layersobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- namestringExampleDescription
- ifcTypestringExampleDescription
- classificationReferencesobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- namestringExampleDescription
- ifcTypestringExampleDescription
- attributesobjectDescription
- ownerHistoryobjectDescription
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- namestringDescription
- ifcTypestringExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/ifc/products/{object-id}/relations \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/ifc/products/{object-id}/relations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/ifc/products/{object-id}/relations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/ifc/products/{object-id}/relations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"objectId": 317235853293,
"globalId": "4qyyLM4ZzFQuLbRaVZ1xKE",
"name": "Basic Wall:0-LBA:1328157",
"ifcType": "IfcWallStandardCase",
"children": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/317235853294",
"objectId": 317235853294,
"globalId": "3PhkPD2_j2ouX4hJTk7FKE",
"name": "2F",
"ifcType": "IfcBuildingStorey"
}
],
"parent": {
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/317235853294",
"objectId": 317235853294,
"globalId": "3PhkPD2_j2ouX4hJTk7FKE",
"name": "2F",
"ifcType": "IfcBuildingStorey"
},
"type": {
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/types/317235940695",
"objectId": 317235940695,
"globalId": "3qd5RL4ZTA7w3kEKe",
"name": "Basic Wall:0-LBA",
"ifcType": "IfcWallType"
},
"systems": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/417235853289",
"objectId": 417235853289,
"globalId": "9dYMac7Ar51vpH7fe7CB7F",
"name": "",
"ifcType": "IfcSystem"
}
],
"zones": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/417235853289",
"objectId": 417235853289,
"globalId": "9dYMac7Ar51vpH7fe7CB7F",
"name": "",
"ifcType": "IfcZone"
}
],
"groups": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/417235853289",
"objectId": 417235853289,
"globalId": "9dYMac7Ar51vpH7fe7CB7F",
"name": "",
"ifcType": "IfcGroup"
}
],
"layers": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/layers/",
"objectId": 217236997495,
"name": "A-WALL-____-OTLN",
"ifcType": "IfcPresentationLayerAssignment"
}
],
"classificationReferences": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/classification_references/317636045083",
"objectId": 317636045083,
"name": "Showers",
"ifcType": "IfcClassificationReference",
"attributes": {}
}
],
"ownerHistory": {
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/ownerhistory/617235853043",
"objectId": 617235853043,
"name": "",
"ifcType": "IfcOwnerHistory"
}
}